angular
.module('gu.controller')
.controller('FireCategoryCtrl', function($scope, $rootScope, $state, $location, $ionicHistory, $ionicLoading, $ionicScrollDelegate,$ionicModal,ModalService,LocalService, ApiService) {
  console.log('首页');
  $scope.data = {
    flag: 0,
    categoryIndex: -1,
    categories: [],
    topNews: [],
    totalPage: 1,
    pageNo: 1,
    timeArr: [],
    dateArr: [],
    test: []
  }
  console.log($scope.data.timeArr);

  $scope.doRefresh = function() {
    init();
    $scope.$broadcast('scroll.refreshComplete');
  };

  


  $scope.loadMore = function() {
    var categoryID = currentCategoryID();
    ApiService
      .loadAllTopNews({
        pageNo: $scope.data.pageNo + 1,
        categoryID: categoryID
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;

        for (var i = 0; i < response.data.news.length; i++) {
          var topNews = response.data.news[i];
          $scope.data.topNews.push(topNews);
        }
      })
      .catch(function(response) {
      })
      .finally(function() {
        $scope.$broadcast('scroll.infiniteScrollComplete');
      })
  }


  init();

  function init() {
    loadCategory();
    loadTopNews();
  }

  function loadTopNews() {
    
    var categoryID = currentCategoryID();

    $ionicLoading.show({
      template: '加载中...',
      showBackdrop: true,
    });
    ApiService
      .loadAllTopNews({
        pageNo: 1,
        categoryID: categoryID
      })
      .then(function(response) {
        $scope.data.totalPage = response.data.totalPage;
        $scope.data.pageNo = response.data.pageNo;
        $scope.data.topNews = response.data.news;

      })
      .catch(function(error) {
      })
      .finally(function() {
        $ionicScrollDelegate.$getByHandle('mainScroll').scrollTop();
        $ionicLoading.hide();
      });
  }

  function loadCategory() {
    ApiService
      .loadCategories()
      .then(function(response) {
        var categories = response.data;
        if (! categories.length) {
          $ionicLoading.hide();
          return;
        }
        LocalService
          .storeCategories(categories)
          .then(function(response) {
            $scope.data.categories = categories;
          })
          .catch(function(error) {
            //alert(JSON.stringify(error));
          })
      })
      .catch(function(error) {
        //alert("2:" + JSON.stringify(error));
      });
  }

  function currentCategoryID() {
    return ($scope.data.categoryIndex == -1) ? 0 : $scope.data.categories[$scope.data.categoryIndex].sid;
  }



 function judge(date){
  var time = date.split(' ')[0];
  return time;
 }




})
